<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.tashow.cloud</groupId>
        <artifactId>tashow-module</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>tashow-module-app</artifactId>
    <packaging>jar</packaging>

    <dependencies>
        <!-- Registry 注册中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- Config 配置中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-rpc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-web</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-env</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-infra-api</artifactId>
        </dependency>


        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-websocket</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-security</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>


    </dependencies>
</project>
